/*
 * 接口统一集成模块
 */
import * as job from './modules/job'
import * as base from './modules/base'
import * as dict from './modules/dict'
import * as help from './modules/help'
import * as monitor from './modules/monitor'
import * as resource from './modules/resource'
import * as institution from './modules/institution'
import * as role from './modules/role'
import * as user from './modules/user'
import * as roleUser from './modules/roleUser'
import * as organization from './modules/organization'
import * as tree from './modules/tree'
import * as permission from './modules/permission'
import * as eform from './modules/eform'
import * as interfaces from './modules/uum/interface' //接口管理
import * as pushModule from './modules/uum/pushModule' //推送方案
import * as systemRole from './modules/uum/systemRole' //应用角色
import * as system from './modules/uum/system'//应用系统
import * as link from './modules/uum/link'//应用链接
import * as personRule from './modules/uum/personRule'//添加用户规则
import * as systemOrg from './modules/uum/systemOrg'//应用组织
import * as person from './modules/uum/person'//人员管理
import * as location from './modules/uum/location'//location对照
import * as account from './modules/uum/account'//应用账号
import * as systemRoleRule from './modules/uum/systemRoleRule.js'//应用角色策略
import * as appResource from './modules/rpm/appResource.js'//应用资源模块
import * as module from './modules/rpm/module.js'//功能模块
import * as sso from './modules/ucm/sso.js'//认证配置
import * as authType from './modules/ucm/authType.js'//认证f方式
import * as permissionResource from './modules/rpm/permissionResource.js'//资源授权
import * as resourcesAuth from './modules/rpm/resourcesAuth.js'//资源授权
import * as item from './modules/pam/item.js'//所有配置项
import * as pamLog from './modules/pam/pamLog.js'//分配配置项
import * as systemManager from './modules/pam/systemManager.js'//系统监控
import * as appOpenSystem from './modules/uum/appOpenSystem'//申请开通系统
import * as appPermissionChange from './modules/uum/appPermissionChange'//申请开通系统
import * as moduleRole from './modules/rpm/moduleRole.js'//工作站和角色模块
import * as component from './modules/rpm/component.js'//组件管理模块
import * as roleComponent from './modules/rpm/roleComponent.js'//角色组件权限模块
import * as rolePage from './modules/rpm/rolePage.js'//角色首页配置
import * as HosCountDown from './modules/HosCountDown'//倒计时页面

// 默认全部导出
export default {
  job,
  base,
  dict,
  help,
  monitor,
  resource,
  institution,
  role,
  user,
  roleUser,
  organization,
  tree,
  permission,
  eform,
  interfaces,
  pushModule,
  systemRole,
  system,
  personRule,
  systemOrg,
  person,
  link,
  location,
  account,
  systemRoleRule,
  module,
  appResource,
  sso,
  authType,
  permissionResource,
  resourcesAuth,
  item,
  pamLog,
  appOpenSystem,
  appPermissionChange,
  moduleRole,
  component,
  roleComponent,
  rolePage,
  systemManager,
  HosCountDown,
}
