import axios from "@/api/axios";

// 获取表单目录树的数据
export function getFormCategoryTreeNodes(root, disableId, headers) {
    return axios({
      url: "/eform/document/categoryTree",
      method: "get",
      headers: headers,
      data: {root: root, disableId: disableId}
    });
  }
//获取视图目录树的数据
  export function getViewCategoryTreeNodes(root, disableId, headers) {
    return axios({
      url: "/eform/document/viewCatalogTree",
      method: "get",
      headers: headers,
      data: {root: root, disableId: disableId}
    });
  }

// 获取表单列表
export function getFormData(params, headers) {
  return axios({
    url: "/eform/document/getFormData",
    method: "get",
    headers: headers,
    data: params
  });
}

// 获取视图列表
export function getViewData(params, headers) {
  return axios({
    url: "/eform/document/getViewData",
    method: "get",
    headers: headers,
    data: params
  });
}

//初始化新表单内容
export function getFormContent(mainId,headers){
  return axios({
    url: "/eform/document/toAddForm",
    method: "get",
    headers: headers,
    data:{"mainId":mainId}
  });
}


