import Qs from "qs";
import axios from "@/api/axios";
// 获取列表
export function getList(params) {
  return axios({
    url: "/ucm/authtypes",
    method: "get",
    data: params
  });
}
// 编辑提交
export function update(params) {
  return axios({
    url: "/ucm/authtypes",
    method: "put",
    data: params
  });
}
// 通过id查询
export function getId(id) {
  return axios({
    url: "/ucm/authtypes/" + id,
    method: "get"
  });
}
// 根据系统id获取对应认证方式
export function getAuthTypeBySysId(params) {
  return axios({
    url: "/ucm/authtypes/authType-systemId",
    method: "get",
    data: params
  });
}