import Qs from "qs";
import axios from "@/api/axios";
// 表格获取
export function getList(params) {
  return axios({
    url: "/uum/location",
    method: "get",
    data: params
  });
}
// 删除location
export function deleteBatch(idList) {
  const data = {
    idList: idList
  }
  return axios({
    url: "/uum/location/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
// 主键id查询信息
export function getByOrgId(sysOrgId,systemId) {
  const data = {
    systemId: systemId,
    systemOrgId: sysOrgId
  }
  return axios({
    url: "/uum/location/list-locations",
    method: "get",
    data: data
  });
}
// 新增location
export function insert(params) {
  return axios({
    url: "/uum/location",
    method: "post",
    data: params
  });
}

// 删除location
export function listOptions(param) {
  const data = {
    systemId: param
  }
  return axios({
    url: "/uum/location/list-options",
    method: "post",
    data: data
  });
}
