import Qs from "qs";
import axios from "@/api/axios";
// 获取列表
export function getPushScheme(params) {
	return axios({
		url: "/uum/pushscheme",
		method: "get",
		data: params
	});
}
//新增推送方案
export function insert(params) {
	return axios({
		url: "/uum/pushscheme",
		method: "post",
		data: params
	});
}
//根据id获取配置字段
export function getField(params) {
	return axios({
		url: "/uum/pushfield/fields",
		method: "get",
		data: params
	});
}

//查询配置字段
export function listUnconfigFields(params) {
	return axios({
		url: "/uum/pushfield/all-fields",
		method: "get",
		data: params
	});
}
//新增配置字段
export function pushFieldInsert(params) {
	return axios({
		url: "/uum/pushfield",
		method: "post",
		data: params
	});
}

