/**
 * 文本框组件，继承Item
 */

import item from "../Item";


export default {
  name: 'MSlider',
  mixins: [item],
  props: {
    value: Number
  },
  methods: {
    getDefaultValue() {
      return 0
    }
  },
  render() {
    const vnode = (
      <el-slider ref="comp"
              {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
              vModel={this.fieldValue}>
      </el-slider>
    )
    
    return this.renderComponent(vnode)
  }
  
}
