import hasRole from './permission/hasRole'
import hasPermi from './permission/hasPermi'
import mTreeLine from './tree/line'


const install = function(Vue) {
  Vue.directive('hasRole', hasRole)
  Vue.directive('hasPermi', hasPermi)
  Vue.directive('mTreeLine', mTreeLine)
}

if (window.Vue) {
  window['hasRole'] = hasRole
  window['hasPermi'] = hasPermi
  window['mTreeLine'] = mTreeLine
  Vue.use(install); // eslint-disable-line
}

export default install
