// 导入所有接口
import Mediway from "./mediway";
import MDialog from "@/components/MDialog";

const install = Vue => {
  if (install.installed) return;

  install.installed = true;

  const dialog = MDialog.install(Vue);
  const _m = {
    dialog: { open: dialog.open, close: dialog.close },
    ...Mediway
  };
  Object.defineProperties(Vue.prototype, {
    // 注意，此处挂载在 Vue 原型的 $m 对象上
    $m: {
      get() {
        return _m;
      }
    }
  });
};

export default install;
