import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import tagsView from './modules/tagsView'
import resource from './modules/resource'
import user from './modules/user'
import menuInfo from './modules/menuInfo'
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    tagsView,
    resource,
    user,
    menuInfo
  },
  getters
})

export default store
