const menuInfo = {
  state: {
    menuType: "" // 保存登录系统的菜单方式，默认是空的，代表加载全部的菜单
  },
  mutations: {
    SET_MENU_STATE: (state, menuType) => {
      state.menuType = menuType
    }
  },
  actions: {
    // 初始化菜单的加载方式
    initMenuType({commit}, menuType) {
      commit('SET_MENU_STATE', menuType)
    }
  }
}

export default menuInfo
