import Qs from "qs";
import axios from "@/api/axios";
// 获取机构列表
export function getList(params) {
  return axios({
    url: "/core/base/institution",
    method: "get",
    data: params
  });
}
//新增机构
export function insert(params, headers) {
  return axios({
    url: "/core/base/institution/insert",
    method: "post",
    headers: headers,
    data: params
  });
}
// 删除机构
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/core/base/institution/deletion",
    method: "delete",
    data: data,
	isList:true
  });
}
//停用启用
export function changeActived(id, actived) {
  return axios({
    url: "/core/base/institution/"+id+"/change-actived",
    method: "put",
    data: {actived: actived},
  });
}

//通过id查询机构实体
export function getId(id) {
  return axios({
    url: "/core/base/institution/" + id,
    method: "get"
  });
}

//编辑提交
export function update(params, headers) {
  return axios({
    url: "/core/base/institution/update",
    method: "put",
    headers: headers,
    data: params
  });
}
