import Qs from "qs";
import axios from "@/api/axios";

export function getList(params) {
  return axios({
    url: "/pam/systemmanagers/",
    method: "get",
    data: params
  });
}

export function syncSysManager() {
  return axios({
    url: "/pam/systemmanagers/sync-sys-manager",
    method: "get",
  });
}

export function getlifeCycle(params) {
  return axios({
    url: "/pam/systemmanagers/life-cycle",
    method: "get",
    data: params
  });
}

export function getId(id) {
  return axios({
    url: "/pam/systemmanagers/" + id,
    method: "get"
  });
}
export function update(params) {
  return axios({
    url: "/pam/systemmanagers",
    method: "put",
    data: params
  });
}

// 编辑提交
export function referralSystem(params) {
  return axios({
    url: "/pam/systemmanagers/referral-system",
    method: "post",
    data: params
  });
}
