import axios from "@/api/axios";

// 新增权限(反向)
export function insertNegative(params, headers) {
  return axios({
    url: "/core/base/permissions/negative",
    method: "post",
    headers: headers,
    data: params
  });
}

// 清空权限（反向）
export function deleteAllNegative(params, headers) {
  return axios({
    url: "/core/base/permissions/negative/deletion",
    method: "post",
    headers: headers,
    data: params
  });
}

// 新增权限(正向)
export function insertPositive(params, headers) {
  return axios({
    url: "/core/base/permissions/positive",
    method: "post",
    headers: headers,
    data: params
  });
}

// 清空权限（正向）
export function deleteAllPositive(params, headers) {
  return axios({
    url: "/core/base/permissions/positive/deletion",
    method: "post",
    headers: headers,
    data: params
  });
}
