import Qs from "qs";
import axios from "@/api/axios";
// 获取角色列表
export function getList(params) {
  return axios({
    url: "/core/base/role",
    method: "get",
    data: params
  });
}
//新增角色
export function insert(params, headers) {
  return axios({
    url: "/core/base/role/insert",
    method: "post",
    headers: headers,
    data: params
  });
}
// 删除角色
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/core/base/role/deletion",
    method: "delete",
    data: data,
    isList:true
  });
}
//停用启用
export function changeActived(id, actived) {
  let data = {
    actived: actived
  }
  return axios({
    url: "/core/base/role/"+id+"/change-actived",
    method: "put",
    data: data
  });
}

//通过id查询角色实体
export function getId(id) {
  return axios({
    url: "/core/base/role/" + id,
    method: "get"
  });
}

//编辑提交
export function update(params, headers) {
  return axios({
    url: "/core/base/role/update",
    method: "put",
    data: params
  });
}
