import Qs from "qs";
import axios from "@/api/axios";
//正向授权 
export function positive(params) {
  return axios({
    url: "/rpm/resourcePermissions/positive",
    method: "post",
    data: params
  });
}
//获取某应用角色已经授予的权限id集合
export function getResourcesByPrincipalId(params) {
  return axios({
    url: "/rpm/resourcePermissions/listResource",
    method: "get",
    data: params
  });
}

//获取某应用角色已经授予的权限id集合
export function getPrincipals(params) {
  return axios({
    url: "/rpm/resourcePermissions/ListPrincipals",
    method: "get",
    data: params
  });
}

// 删除角色
export function deleteBatch(ids) {
	let data = {
		idList: ids
	}
	return axios({
		url: "/rpm/resourcePermissions/deletion",
		method: "post",
		data: data,
		isList: true
	});
}
//反向授权
export function negative(params) {
  return axios({
    url: "/rpm/resourcePermissions/negative",
    method: "post",
    data: params
  });
}
// 获取未分配某个资源的角色列表
export function listNoResourceRoles(params) {
	return axios({
		url: "/rpm/resourcePermissions/listNoResourceRoles",
		method: "get",
		data: params
	});
}

