import Qs from "qs";
import axios from "@/api/axios";
// 表格获取
export function getList(params) {
  return axios({
    url: "/uum/link",
    method: "get",
    data: params
  });
}
// 停用启用
export function changeActive(id,actived) {
  return axios({
    url: `/uum/link/${id}/change-actived`,
    method: "put",
    data:{
      actived: actived
    }
  });
}
// 删除链接
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/uum/link/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
// 新增链接
export function insert(params) {
  return axios({
    url: "/uum/link",
    method: "post",
    data: params
  });
}
// 通过id查询链接实体
export function getId(id) {
  return axios({
    url: "/uum/link/" + id,
    method: "get"
  });
}
// 编辑提交
export function update(params) {
  return axios({
    url: "/uum/link",
    method: "put",
    data: params
  });
}
export function getLink(systemId,linkType) {
  return axios({
    url: "/uum/link/getLink",
    method: "get",
    data: {
      systemId: systemId,
      linkType: linkType
    }
  });
}
