import Qs from "qs";
import axios from "@/api/axios";
// 获取列表
export function getList(params) {
  return axios({
    url: "/uum/personrule",
    method: "get",
    data: params
  });
}
//新增
export function insert(params, headers) {
  return axios({
    url: "/uum/personrule",
    method: "post",
    headers: headers,
    data: params
  });
}
//编辑提交
export function update(params, headers) {
  return axios({
    url: "/uum/personrule",
    method: "put",
    headers: headers,
    data: params
  });
}
//通过id查询
export function getId(id) {
  return axios({
    url: "/uum/personrule/" + id,
    method: "get"
  });
}
// 删除应用
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/uum/personrule/deletion",
    method: "post",
    data: data,
    isList:true
  });
}

// 新增过滤已选择应用
export function filters(type,systemId,id) {
  let data = {
	id: id,
    type: type,
	systemId:systemId
  }
  return axios({
    url: "/uum/personrule/filters",
    method: "get",
    data: data,
    isList:true
  });
}
