import Qs from "qs";
import axios from "@/api/axios";
// 获取角色规则列表
export function getList(params) {
	return axios({
		url: "/uum/systemrolerule",
		method: "get",
		data: params
	});
}
//新增角色规则
export function insert(params) {
	return axios({
		url: "/uum/systemrolerule",
		method: "post",
		data: params
	});
}
//编辑提交
export function update(params) {
	return axios({
		url: "/uum/systemrolerule",
		method: "put",
		data: params
	});
}
//通过id查询角色规则实体
export function getId(id) {
	return axios({
		url: "/uum/systemrolerule/" + id,
		method: "get"
	});
}
// 删除角色规则
export function deleteRules(ids) {
	let data = {
		idList: ids
	}
	return axios({
		url: "/uum/systemrolerule/deletion",
		method: "post",
		data: data,
		isList: true
	});
}
// 验证角色是否存在
export function validateRules(params) {
	return axios({
		url: "/uum/systemrolerule/validate",
		method: "get",
		data: params,
	});
}
