import MDialog from "./dialog";
import dialogContainer from "./dialogContainer";
const Plugin = {
  install(Vue) {
    Vue.component(MDialog.name, MDialog);
    let DialogContainer = Vue.component(dialogContainer.name, dialogContainer);
    let dlg = new DialogContainer();
    let vm = dlg.$mount();
    document.querySelector("body").appendChild(vm.$el);
    return {
      open(component, props = {},contentProps) {
        if (!component) return;
        props.component = component;
        props.contentProps = contentProps;
        return dlg.addModal(props);
      },
      close(key) {
        dlg.close(key);
      }
    };
  }
};
export default Plugin;
