/**
 * 文本框组件，继承Item
 */
import item from "../Item";

export default {
  name: 'MNumber',
  mixins: [item],
  props: {
    value: Number
  },
  methods: {
    getDefaultValue() {
      return 0
    }
  },
  render() {
    const vnode = (
      <el-input-number ref="comp"
                   {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                   vModel={this.fieldValue}>
      </el-input-number>
    )
    
    return this.renderComponent(vnode)
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ['focus', 'select'])
  }
  
}
