/**
 * 文本框组件，继承Item
 */

import item from "../Item";

export default {
  name: 'MRate',
  mixins: [item],
  props: {
    value: Number
  },
  methods: {
    getDefaultValue() {
      return 0
    }
  },
  render() {
    const vnode = (
      <el-rate ref="comp" style="padding-top:10px"
                {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                vModel={this.fieldValue}>
      </el-rate>
    )
    
    return this.renderComponent(vnode)
  }
  
}
