/**
 * 文本框组件，继承Item
 */

 import item from "../Item";


export default {
  name: 'MSwitch',
  mixins: [item],
  props: {
    value: [Boolean, String, Number]
  },
  methods: {
    getDefaultValue() {
      return false
    }
  },
  render() {
    const vnode = (
      <el-switch ref="comp"
                {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                vModel={this.fieldValue}>
      </el-switch>
    )
    
    return this.renderComponent(vnode)
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ['focus'])
  }
  
}
