import Vue from 'vue'
import MForm from '@/components/MForm/form'

const requireComponent = require.context('./fields/',true, /\.js$/);
requireComponent.keys().forEach(fileName=>{
  const config = requireComponent(fileName);
  //组件必须有name属性,name是唯一的
  if(config.default || config.default.name){
    const componentName = config.default.name;
    Vue.component(componentName,config.default || config);
  }
})
Vue.component(MForm.name,MForm);
