const user = {
  state: {
    loginUser: {} // 登录用户信息
  },
  mutations: {
    SET_LOGIN_USER: (state, loginUser) => {
      state.loginUser = loginUser
    }
  },
  actions: {
    // 初始化登录用户
    initLoginUser({commit}, loginUser) {
      return new Promise(resolve => {
        commit('SET_LOGIN_USER', loginUser)
        resolve(loginUser)
      })
    }
  }
}

export default user
