import { Loading } from 'element-ui';

/**
 * 遮罩加载
 */
const LoadingUtil = {

    loadingObj: null,
    // 打开遮罩
    start: function () {
        this.loadingObj = Loading.service({
            lock: true,
            text: '请稍后....',
            background: 'rgba(0, 0, 0, 0.7)'
        })
    },
    // 关闭遮罩
    end: function () {
        if (this.loadingObj) {
            this.loadingObj.close()
        }
    }
}
export default LoadingUtil